MMFF/Params.h File Reference
`#include <RDGeneral/Invariant.h>`
`#include <cmath>`
`#include <string>`
`#include <vector>`
`#include <algorithm>`
`#include <map>`
`#include <iostream>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::MMFFDef
| class to store MMFF atom type equivalence levels More...
class | ForceFields::MMFF::MMFFProp
| class to store MMFF Properties More...
class | ForceFields::MMFF::MMFFPBCI
| class to store MMFF Partial Bond Charge Increments More...
class | ForceFields::MMFF::MMFFChg
class | ForceFields::MMFF::MMFFBond
| class to store MMFF parameters for bond stretching More...
class | ForceFields::MMFF::MMFFHerschbachLaurie
class | ForceFields::MMFF::MMFFCovRadPauEle
class | ForceFields::MMFF::MMFFAngle
| class to store MMFF parameters for angle bending More...
class | ForceFields::MMFF::MMFFStbn
| class to store MMFF parameters for stretch-bending More...
class | ForceFields::MMFF::MMFFOop
| class to store MMFF parameters for out-of-plane bending More...
class | ForceFields::MMFF::MMFFTor
| class to store MMFF parameters for torsions More...
class | ForceFields::MMFF::MMFFVdW
| class to store MMFF parameters for non-bonded Van der Waals More...
class | ForceFields::MMFF::MMFFVdWRijstarEps
class | ForceFields::MMFF::MMFFAromCollection
class | ForceFields::MMFF::MMFFDefCollection
class | ForceFields::MMFF::MMFFPropCollection
class | ForceFields::MMFF::MMFFPBCICollection
class | ForceFields::MMFF::MMFFChgCollection
class | ForceFields::MMFF::MMFFBondCollection
class | ForceFields::MMFF::MMFFBndkCollection
class | ForceFields::MMFF::MMFFHerschbachLaurieCollection
class | ForceFields::MMFF::MMFFCovRadPauEleCollection
class | ForceFields::MMFF::MMFFAngleCollection
class | ForceFields::MMFF::MMFFStbnCollection
class | ForceFields::MMFF::MMFFDfsbCollection
class | ForceFields::MMFF::MMFFOopCollection
class | ForceFields::MMFF::MMFFTorCollection
class | ForceFields::MMFF::MMFFVdWCollection

## Namespaces

| ForceFields
| ForceFields::MMFF

## Macros

#define | M_PI 3.14159265358979323846

## Functions

bool | ForceFields::MMFF::isDoubleZero (const double x)
void | ForceFields::MMFF::clipToOne (double &x)

## Variables

const double | ForceFields::MMFF::DEG2RAD = M_PI / 180.0
const double | ForceFields::MMFF::RAD2DEG = 180.0 / M_PI
const double | ForceFields::MMFF::MDYNE_A_TO_KCAL_MOL = 143.9325

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846

Definition at line 25 of file MMFF/Params.h.

Referenced by RDDepict::computeSubAngle(), MolTransforms::getAngleDeg(), MolTransforms::getDihedralDeg(), RDDepict::rotationDir(), MolTransforms::setAngleDeg(), and MolTransforms::setDihedralDeg().